---
lang: en
title: 'API docs: authentication.getauthenticationmetadataforstrategy'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.getauthenticationmetadataforstrategy.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [getAuthenticationMetadataForStrategy](./authentication.getauthenticationmetadataforstrategy.md)

## getAuthenticationMetadataForStrategy() function

Get the authentication metadata object for the specified strategy.

**Signature:**

```typescript
export declare function getAuthenticationMetadataForStrategy(metadata: AuthenticationMetadata[], strategyName: string): AuthenticationMetadata | undefined;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

metadata


</td><td>

[AuthenticationMetadata](./authentication.authenticationmetadata.md)<!-- -->\[\]


</td><td>

Array of authentication metadata objects


</td></tr>
<tr><td>

strategyName


</td><td>

string


</td><td>

Name of the authentication strategy


</td></tr>
</tbody></table>
**Returns:**

[AuthenticationMetadata](./authentication.authenticationmetadata.md) \| undefined


